#include <ncurses.h>
int main() {
  initscr();
  cbreak();
  noecho();

  printw("press h to do something, and q to quit.\n");

  int ch;
  while ((ch = getch()) != 'q') {
    if (ch == 'h') {
      printw("yep thats h\n");
    }
  }

  endwin();
  return 0;
}
